Ticket #32255

ATOKでF2キーなどの変換操作を詳細読みしない

Open Date: 2013-10-15 10:48 Last Update: 2013-12-05 14:24

Reporter: nishimoto Owner: (None)
Type: Bugs Status: Closed
Component: IME MileStone: 2013.3jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

ATOK で漢字変換をspaceで選択する際は詳細読みになるが、F2~F5, SHIFT + F6では詳細読みにならない、というご報告をいただいています。

現状では Microsoft IME での利用を想定した仕様になっており、詳細読みを行うのは下記のキーイベントの場合のみとなっています。

# NVDAObjects/inputComposition.py
# def needDiscriminantReading(gesture):
コントロールキー+任意のキー
または
VK_SPACE, VK_CONVERT, VK_LEFT, VK_RIGHT, VK_UP, VK_DOWN, 
VK_F6, VK_F7, VK_F8, VK_F9, VK_F10, VK_NONCONVERT, VK_ESCAPE, VK_TAB

上記でカバーできていないケースとして ATOK 2013 は未変換文字列がある状況で下記が可能です:

F2 辞書2変換
F3 辞書3変換
F4 辞書4変換
F5 辞書5変換
Shift+F6 辞書6変換
Shift+F8 変換辞書切替メニュー(ポップアップで項目の選択後に変換を実行)
F11 英字/カナ置換

なお、現在の実装の制約で、キー割り当てのカスタマイズには対応できません。

Attachment File List

No attachments

Ticket History (3/3 Histories)

2013-10-15 10:48 Updated by: nishimoto
  • New Ticket "ATOKでF2キーなどの変換操作を詳細読みしない" created
2013-10-20 00:03 Updated by: nishimoto
  • Milestone Update from (None) to 2013.3jp (closed)
  • Resolution Update from None to Fixed
Comment

本チケットに関する作業のコミットです:

[jpbranch 51a0caa] use discriminant reading for F2, F3, F4, F5 and F11 keys with ATOK IME
 1 file changed, 3 insertions(+)
2013-12-05 14:24 Updated by: nishimoto
  • Ticket Close date is changed to 2013-12-05 14:24
  • Status Update from Open to Closed
  • Component Update from (None) to IME

Edit

Please login to add comment to this ticket » Login